#!/usr/bin/env python

import pygtk
pygtk.require('2.0')
import gtk

from  pyKeyring import KeyringWidget 


class ex01:
    def delete_event(self, widget, event, data=None):
        return False

    def destroy(self, widget, data=None):
        print "destroy signal occurred"
        gtk.main_quit()

    def __init__(self, name, server, protocol):
        # create a new window
        self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)

        self.window.connect("delete_event", self.delete_event)
        self.window.connect("destroy", self.destroy)
	
 	keyW = KeyringWidget(name, server, protocol)

	frame = keyW.frame
	self.window.add(frame)
        self.window.show()
	keyW.get_credentials()
	print keyW.username + " " + keyW.password + "\n"

    def main(self):
        # All PyGTK applications must have a gtk.main(). Control ends here
        # and waits for an event to occur (like a key press or mouse event).
        gtk.main()


# If the program is run directly or passed as an argument to the python
# interpreter then create a HelloWorld instance and show it
if __name__ == "__main__":
    hello = ex01("Gmail account information","google.com","https")
    hello.main()

